Subject: Re: bug#16737: Timed out waiting for reply from selection owner

From: Vincent Bernat <[email-masked]>
Date: Tue, 27 Jan 2015 19:16:35 +0100

❦ 27 janvier 2015 19:42 +0200, Eli Zaretskii <[email-masked]> :

>> > Also, if your value of x-selection-timeout is not zero, does it help
>> > to enlarge it?
>> 
>> Enlarging it make the problem worse. Setting it to 10 makes the problem
>> go away.
>
> Isn't it weird that 10 works, but larger values don't?

Larger values work too, but it takes more time to get the pasted
result. If I put 100, it takes about 2 second to get the paste
event. Maybe keeping 5000 would work too but I don't have the patience
for Emacs to unstuck. The bug comes and goes and since I do everything
in Emacs, I cannot keep it live for too long.
-- 
Don't go around saying the world owes you a living.  The world owes you
nothing.  It was here first.
		-- Mark Twain